Debian Bug report logs - #655702
libxqdbm-dev: fails to upgrade from squeeze - trying to overwrite ...

version graph

Package: libxqdbm-dev; Maintainer for libxqdbm-dev is KURASHIKI Satoru <lurdan@gmail.com>; Source for libxqdbm-dev is src:qdbm.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Fri, 13 Jan 2012 10:57:02 UTC

Severity: serious

Found in version qdbm/1.8.78-1

Fixed in version qdbm/1.8.78-2

Done: KURASHIKI Satoru <lurdan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#655702; Package src:libxqdbm-dev. (Fri, 13 Jan 2012 10:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Fri, 13 Jan 2012 10:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxqdbm-dev: fails to upgrade from squeeze - trying to overwrite ...
Date: Fri, 13 Jan 2012 11:53:36 +0100
[Message part 1 (text/plain, inline)]
Source: libxqdbm-dev
Version: 1.8.78-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi,

during a test with piuparts I noticed your package fails to upgrade from
squeeze. It installed fine in squeeze, then the upgrade to wheezy fails
because it tries to overwrite other packages files without declaring a
replaces relation.

See policy 7.6 at
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

>From the attached log (scroll to the bottom...):

  Preparing to replace libxqdbm-dev 1.8.77-4 (using .../libxqdbm-dev_1.8.78-1+b1_amd64.deb) ...
  Unpacking replacement libxqdbm-dev ...
  dpkg: error processing /var/cache/apt/archives/libxqdbm-dev_1.8.78-1+b1_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/libxqdbm.a', which is also in package libqdbm-dev 1.8.77-4

http://piuparts.debian.org/squeeze2wheezy/fail/libxqdbm-dev_1.8.78-1+b1.log


cheers,

Andreas
[libxqdbm-dev_1.8.78-1+b1.log.gz (application/x-gzip, attachment)]

Bug reassigned from package 'src:libxqdbm-dev' to 'libxqdbm-dev'. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 18 Jan 2012 19:03:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libxqdbm-dev/1.8.78-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 18 Jan 2012 19:03:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions qdbm/1.8.78-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 18 Jan 2012 19:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#655702; Package libxqdbm-dev. (Sat, 03 Mar 2012 11:12:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 03 Mar 2012 11:12:23 GMT) Full text and rfc822 format available.

Message #16 received at 655702@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 655702@bugs.debian.org
Cc: control@bugs.debian.org
Subject: NMU diff
Date: Sat, 3 Mar 2012 11:10:46 +0000
[Message part 1 (text/plain, inline)]
user debian-release@lists.debian.org
usertags 655702 bsp-2012-03-gb-cambridge
tag 655702 + pending
quit

I propose to upload this change as an NMU, adding a Replaces on
libxqdbm-dev (<< 1.8.78-1). No other changes. This bug has been open
without a response for over a month - I expect to upload later today.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[655702.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 11:12:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#655702; Package libxqdbm-dev. (Sat, 03 Mar 2012 12:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 03 Mar 2012 12:33:18 GMT) Full text and rfc822 format available.

Message #23 received at 655702@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: Neil Williams <codehelp@debian.org>, 655702@bugs.debian.org
Subject: Re: Bug#655702: NMU diff
Date: Sat, 3 Mar 2012 21:09:14 +0900
hi,

On Sat, Mar 3, 2012 at 8:10 PM, Neil Williams <codehelp@debian.org> wrote:
> I propose to upload this change as an NMU, adding a Replaces on
> libxqdbm-dev (<< 1.8.78-1). No other changes. This bug has been open
> without a response for over a month - I expect to upload later today.

Thank you for your patch!

I've been investigating this bug for a part of my NM process...(not yet).

Your patch is welcome, but please wait to upload as NMU.
I have some other changes to upload locally. I think it had better
I include your patch into them, and request upload.

But anyway my works are not so fast, if you think it should be done
as NMU, please do so.

regards,
-- 
KURASHIKI Satoru




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#655702; Package libxqdbm-dev. (Sat, 03 Mar 2012 13:33:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 03 Mar 2012 13:33:38 GMT) Full text and rfc822 format available.

Message #28 received at 655702@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: lurdan@gmail.com
Cc: 655702@bugs.debian.org
Subject: Re: Bug#655702: NMU diff
Date: Sat, 3 Mar 2012 13:32:58 +0000
[Message part 1 (text/plain, inline)]
On Sat, 3 Mar 2012 21:09:14 +0900
Satoru KURASHIKI <lurdan@gmail.com> wrote:

> On Sat, Mar 3, 2012 at 8:10 PM, Neil Williams <codehelp@debian.org> wrote:
> > I propose to upload this change as an NMU, adding a Replaces on
> > libxqdbm-dev (<< 1.8.78-1). No other changes. This bug has been open
> > without a response for over a month - I expect to upload later today.
> 
> Thank you for your patch!
> 
> I've been investigating this bug for a part of my NM process...(not yet).
> 
> Your patch is welcome, but please wait to upload as NMU.
> I have some other changes to upload locally. I think it had better
> I include your patch into them, and request upload.
> 
> But anyway my works are not so fast, if you think it should be done
> as NMU, please do so.

qdbm isn't blocking any migrations and it is already in testing at the
same version. However, this bug *does* need to be fixed soon. If no
upload is likely in 7 days, just say and I'll upload the NMU.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#655702; Package libxqdbm-dev. (Sat, 03 Mar 2012 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Sat, 03 Mar 2012 14:45:07 GMT) Full text and rfc822 format available.

Message #33 received at 655702@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: Neil Williams <codehelp@debian.org>
Cc: 655702@bugs.debian.org
Subject: Re: Bug#655702: NMU diff
Date: Sat, 3 Mar 2012 23:43:15 +0900
hi,

On Sat, Mar 3, 2012 at 10:32 PM, Neil Williams <codehelp@debian.org> wrote:
> qdbm isn't blocking any migrations and it is already in testing at the
> same version. However, this bug *does* need to be fixed soon. If no
> upload is likely in 7 days, just say and I'll upload the NMU.

I think I won't be able to upload this package within 7 days, with what I want.
Uploading usually takes some weeks to pass RFS in past cases, and my local
development needs more time for me to understand about multiarch.

I'll be appreciated if you would upload this[1], based on latest pushed git[2] .

[1]: http://mentors.debian.net/debian/pool/main/q/qdbm/qdbm_1.8.78-2.dsc
[2]: http://anonscm.debian.org/gitweb/?p=collab-maint/qdbm.git;a=summary

regards,
-- 
KURASHIKI Satoru




Reply sent to KURASHIKI Satoru <lurdan@gmail.com>:
You have taken responsibility. (Sat, 03 Mar 2012 16:21:33 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 16:21:33 GMT) Full text and rfc822 format available.

Message #38 received at 655702-close@bugs.debian.org (full text, mbox):

From: KURASHIKI Satoru <lurdan@gmail.com>
To: 655702-close@bugs.debian.org
Subject: Bug#655702: fixed in qdbm 1.8.78-2
Date: Sat, 03 Mar 2012 16:20:06 +0000
Source: qdbm
Source-Version: 1.8.78-2

We believe that the bug you reported is fixed in the latest version of
qdbm, which is due to be installed in the Debian FTP archive:

libqdbm++-dev_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm++-dev_1.8.78-2_amd64.deb
libqdbm-dev_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm-dev_1.8.78-2_amd64.deb
libqdbm-java_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm-java_1.8.78-2_amd64.deb
libqdbm-perl_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm-perl_1.8.78-2_amd64.deb
libqdbm-ruby1.8_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm-ruby1.8_1.8.78-2_amd64.deb
libqdbm-ruby1.9.1_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm-ruby1.9.1_1.8.78-2_amd64.deb
libqdbm14_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm14_1.8.78-2_amd64.deb
libqdbm3++c2_1.8.78-2_amd64.deb
  to main/q/qdbm/libqdbm3++c2_1.8.78-2_amd64.deb
libxqdbm-dev_1.8.78-2_amd64.deb
  to main/q/qdbm/libxqdbm-dev_1.8.78-2_amd64.deb
libxqdbm3c2_1.8.78-2_amd64.deb
  to main/q/qdbm/libxqdbm3c2_1.8.78-2_amd64.deb
qdbm-cgi_1.8.78-2_amd64.deb
  to main/q/qdbm/qdbm-cgi_1.8.78-2_amd64.deb
qdbm-doc_1.8.78-2_all.deb
  to main/q/qdbm/qdbm-doc_1.8.78-2_all.deb
qdbm-util_1.8.78-2_amd64.deb
  to main/q/qdbm/qdbm-util_1.8.78-2_amd64.deb
qdbm_1.8.78-2.debian.tar.gz
  to main/q/qdbm/qdbm_1.8.78-2.debian.tar.gz
qdbm_1.8.78-2.dsc
  to main/q/qdbm/qdbm_1.8.78-2.dsc
ruby-qdbm_1.8.78-2_amd64.deb
  to main/q/qdbm/ruby-qdbm_1.8.78-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 655702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
KURASHIKI Satoru <lurdan@gmail.com> (supplier of updated qdbm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Jan 2012 11:55:30 +0900
Source: qdbm
Binary: libqdbm14 qdbm-doc libqdbm-dev qdbm-util qdbm-cgi libxqdbm3c2 libxqdbm-dev libqdbm3++c2 libqdbm++-dev libqdbm-perl ruby-qdbm libqdbm-ruby1.8 libqdbm-ruby1.9.1 libqdbm-java
Architecture: source all amd64
Version: 1.8.78-2
Distribution: unstable
Urgency: low
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Changed-By: KURASHIKI Satoru <lurdan@gmail.com>
Description: 
 libqdbm++-dev - QDBM Database Libraries for C++ [development] (transitional packa
 libqdbm-dev - QDBM Database Libraries [development]
 libqdbm-java - QDBM Database Libraries for Java
 libqdbm-perl - QDBM Database Libraries for Perl
 libqdbm-ruby1.8 - QDBM Database Libraries for Ruby 1.8 (transitional package)
 libqdbm-ruby1.9.1 - QDBM Database Libraries for Ruby 1.9.1 (transitional package)
 libqdbm14  - QDBM Database Libraries without GDBM wrapper[runtime]
 libqdbm3++c2 - QDBM Database Libraries for C++ [runtime] (transitional package)
 libxqdbm-dev - QDBM Database Libraries for C++ [development]
 libxqdbm3c2 - QDBM Database Libraries for C++ [runtime]
 qdbm-cgi   - QDBM Database CGI commands
 qdbm-doc   - QDBM Database Documentation
 qdbm-util  - QDBM Database Utilities
 ruby-qdbm  - QDBM Database Libraries for Ruby
Closes: 648649 648663 655702
Changes: 
 qdbm (1.8.78-2) unstable; urgency=low
 .
   * Apply patch from Neil Williams
     + to fix dependency issue about libxqdbm-dev. (Closes: #655702)
   * Apply patch from Pino Toscano
     + to support nocheck in DEB_BUILD_OPTIONS. (Closes: #648649)
     + to support hurd. (Closes: #648663)
Checksums-Sha1: 
 aa5be97f93bdddde0eab40d758805ff737902813 1932 qdbm_1.8.78-2.dsc
 015a8492bdaaa1711be8876d4d21d2502e9a13d0 18339 qdbm_1.8.78-2.debian.tar.gz
 79fb65c724dc7fce462b4b6e2305314a54d39c33 349248 qdbm-doc_1.8.78-2_all.deb
 5002a1bd4a9df4a80f01378e3cad20646c9da8c3 153062 libqdbm14_1.8.78-2_amd64.deb
 8b7689d7aa0677ff0cdb0feaef630522bd511b0f 233750 libqdbm-dev_1.8.78-2_amd64.deb
 1f97a2a284bf7768672b6241b7894b1d3e983f06 92476 qdbm-util_1.8.78-2_amd64.deb
 9a418bba4f092ae1ccd89b1cd7672bf680bf980f 38780 qdbm-cgi_1.8.78-2_amd64.deb
 f83925cced9ad87bc09e7331ab13b2a2b71bb452 43932 libxqdbm3c2_1.8.78-2_amd64.deb
 9bcf960d9c5e4a862ac7a2ff045f0b846ef4f45f 58056 libxqdbm-dev_1.8.78-2_amd64.deb
 699422f539e73e2ebbec3f248409562c150e1fe2 8962 libqdbm3++c2_1.8.78-2_amd64.deb
 66f275715453e3fb85fbe4ca932f6b07c95cb0df 9174 libqdbm++-dev_1.8.78-2_amd64.deb
 ac9f66c71dcb2b66b43e6300bff4d3f62ec3fd5c 47662 libqdbm-perl_1.8.78-2_amd64.deb
 16cca2e4ce4d689574ff3b73032142094110a136 60622 ruby-qdbm_1.8.78-2_amd64.deb
 18779ba84e0cdcf0c532710ca7460c6f640e2d19 8958 libqdbm-ruby1.8_1.8.78-2_amd64.deb
 f11993a28dfd7de04548c7ff82cf8ce885e49fa6 8964 libqdbm-ruby1.9.1_1.8.78-2_amd64.deb
 554ae8ea056c9d3e100df50a989451522f69efae 47962 libqdbm-java_1.8.78-2_amd64.deb
Checksums-Sha256: 
 05f465058f77aea5bb712c48746fbdbae0429b02eeff5662a9e611f16bf00bd3 1932 qdbm_1.8.78-2.dsc
 4891861459e0d9956f6487f8bf8e142c7eb750ba9e4effcdf6716264bbb063a4 18339 qdbm_1.8.78-2.debian.tar.gz
 1e56aa7424aedd1d02d730ca5da0ef2c5d97f3fa2827a3fdd4ca20e876527963 349248 qdbm-doc_1.8.78-2_all.deb
 b8bb4e578547550497b29914606901867938fe10ee82064a34b4a2f8e9b84a5c 153062 libqdbm14_1.8.78-2_amd64.deb
 155ac83f95c7513017a2bb26c355b41d44ff06ead8734dad666ef6fc090d2041 233750 libqdbm-dev_1.8.78-2_amd64.deb
 0231df68873027f2658af5be474176eb48fd17d6d2036eac33dc457d57b0b484 92476 qdbm-util_1.8.78-2_amd64.deb
 1ed04b029be89efdb4135ab53aedc2a706427d01356fdd334b2ca5fc107afb86 38780 qdbm-cgi_1.8.78-2_amd64.deb
 e47486170c886388bcaed8322d63671c0fa935aa6ed138305b84e4b6488e1445 43932 libxqdbm3c2_1.8.78-2_amd64.deb
 df1f1e9bea944b3735f78d12b5cf634ae436d11e1d068819fe2494aca2bc3799 58056 libxqdbm-dev_1.8.78-2_amd64.deb
 f0838cc40163a2ea1e142f33fa25f6756627c7c9504f2db7e0c016d2ded74588 8962 libqdbm3++c2_1.8.78-2_amd64.deb
 5e919ac57505293150246b77931605934be176963669c3210f1b11faac9babf0 9174 libqdbm++-dev_1.8.78-2_amd64.deb
 6cf160f1070e30c34d856aed25609e498a0fb3611fcd0c86923d4ddc1216f56f 47662 libqdbm-perl_1.8.78-2_amd64.deb
 616134dfd49da0b69500671c3fb6cc14249ac58a69eda25874778b4be29b4afe 60622 ruby-qdbm_1.8.78-2_amd64.deb
 0ab31c6465b8c8a5646669d45724f887a4bc8852cb5e6b69c7bf267888e54d66 8958 libqdbm-ruby1.8_1.8.78-2_amd64.deb
 d71a3aec59442d32d341932b836fb46c45e5a62d75005517fba453ed6b6c00f3 8964 libqdbm-ruby1.9.1_1.8.78-2_amd64.deb
 6dc3cec8927ea1b5174be8f7e9b76bb5510bae0e774489d80182bdba0ba11721 47962 libqdbm-java_1.8.78-2_amd64.deb
Files: 
 98bc5e6e22b3207da00d6b5f34762ea8 1932 libs optional qdbm_1.8.78-2.dsc
 d5c8c8fbd736bb83265d74fcf3ff9ab3 18339 libs optional qdbm_1.8.78-2.debian.tar.gz
 3f07f1a46b556a3ca4b143314733da3e 349248 doc optional qdbm-doc_1.8.78-2_all.deb
 a7b2931c968a6848bd46528a0c9db4d2 153062 libs optional libqdbm14_1.8.78-2_amd64.deb
 374d7a1467d78ce022efe28428f695b5 233750 libdevel optional libqdbm-dev_1.8.78-2_amd64.deb
 dcc88eb490b7d3dc8902a18733ddcfbb 92476 database optional qdbm-util_1.8.78-2_amd64.deb
 e66af57abb2c2855f730ea328b412671 38780 database optional qdbm-cgi_1.8.78-2_amd64.deb
 f9da9dcc3023b68deb6a2927d58661eb 43932 libs optional libxqdbm3c2_1.8.78-2_amd64.deb
 8657949e90293209c27c7fb9c831a462 58056 libdevel optional libxqdbm-dev_1.8.78-2_amd64.deb
 9286f610d7c799b5d430cea636f41e74 8962 libs optional libqdbm3++c2_1.8.78-2_amd64.deb
 c2b18d7dedb2b1c7a132814c9acc1706 9174 libdevel optional libqdbm++-dev_1.8.78-2_amd64.deb
 26f19b75e5c0c398e9e194f6cb0ae5b0 47662 perl optional libqdbm-perl_1.8.78-2_amd64.deb
 90b06348c2c8f5b4573fd543a12923c9 60622 ruby optional ruby-qdbm_1.8.78-2_amd64.deb
 072f2beb1d8972801c80b7eef6df2a63 8958 ruby optional libqdbm-ruby1.8_1.8.78-2_amd64.deb
 10bbb4276ec539e9dc3ab55288c8ca02 8964 ruby optional libqdbm-ruby1.9.1_1.8.78-2_amd64.deb
 41c61cbd854f5613babe23afaba9c290 47962 java optional libqdbm-java_1.8.78-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9SPacACgkQiAEJSii8s+OGtwCeO08BpFIPP9QZysO8N/zLUpeP
6zkAnRm+O6sJ3sXSep/1MTFxT/kL85+Q
=B9y+
-----END PGP SIGNATURE-----





Added indication that 655702 affects libqdbm++-dev Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 05 Mar 2012 16:08:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:34:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:31:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.